;*************************************************************** 
;* 
;* Program neve
;* 
;* Program lersa
;* 
;*************************************************************** 
;* 
;*  Kszitette:
;*  Csoport:
;*  Dtum:
;* 
;*************************************************************** 
 
.include "m128def.inc"	; ATmega128 defincis fjl
 
;*************************************************************** 
;* Konstansok 
;*************************************************************** 
.equ	const = 0x00	; Generic Constant Structure 
 
;*************************************************************** 
;* Vltozk
;*************************************************************** 
.def	mpr  = R16		; ltalnos felhasznls regiszterek
 
;*************************************************************** 
;* Megszakts vektorok
;*************************************************************** 
.cseg 
.org $0000      ; Kdszegmens kezdcme

		jmp		init		; Reset vektor 
		jmp		dummy		; EXTINT0 Handler
		jmp		dummy		; EXTINT1 Handler
		jmp		dummy		; EXTINT2 Handler
		jmp		dummy		; EXTINT3 Handler
		jmp		dummy		; EXTINT4 Handler (INT gomb)
		jmp		dummy		; EXTINT5 Handler
		jmp		dummy		; EXTINT6 Handler
		jmp		dummy		; EXTINT7 Handler
		jmp		dummy		; Timer2 Compare Match Handler 
		jmp		dummy		; Timer2 Overflow Handler 
		jmp		dummy		; Timer1 Capture Event Handler 
		jmp		dummy		; Timer1 Compare Match A Handler 
		jmp		dummy		; Timer1 Compare Match B Handler 
		jmp		dummy		; Timer1 Overflow Handler 
		jmp		dummy		; Timer0 Compare Match Handler 
		jmp		dummy		; Timer0 Overflow Handler 
		jmp		dummy		; SPI Transfer Complete Handler 
		jmp		dummy		; USART0 RX Complete Handler 
		jmp		dummy		; USART0 Data Register Empty Hanlder 
		jmp		dummy		; USART0 TX Complete Handler 
		jmp		dummy		; ADC Conversion Complete Handler 
		jmp		dummy		; EEPROM Ready Hanlder 
		jmp		dummy		; Analog Comparator Handler 
		jmp		dummy		; Timer1 Compare Match C Handler 
		jmp		dummy		; Timer3 Capture Event Handler 
		jmp		dummy		; Timer3 Compare Match A Handler 
		jmp		dummy		; Timer3 Compare Match B Handler 
		jmp		dummy		; Timer3 Compare Match C Handler 
		jmp		dummy		; Timer3 Overflow Handler 
		jmp		dummy		; USART1 RX Complete Handler 
		jmp		dummy		; USART1 Data Register Empty Hanlder 
		jmp		dummy		; USART1 TX Complete Handler 
		jmp		dummy		; Two-wire Serial Interface Handler 
		jmp		dummy		; Store Program Memory Ready Handler 
	
;*****************************************************************************
;* Inicializls
;*****************************************************************************

;***** Stack inicializlsa *****

init:	ldi		mpr,LOW(RAMEND)	; RAMEND = RAM vgcme
		out		SPL,mpr			; (ld."m128def.inc") 
		ldi		mpr,HIGH(RAMEND)
		out		SPH,mpr

;*****************************************************************************
;* Fprogram
;*****************************************************************************		

main:
; Program
		jmp 	main;		; Vgtelen hurok
		
;*****************************************************************************
;* Szubrutinok
;*****************************************************************************

;*****************************************************************************
;* Megszakts kezel rutinok
;*****************************************************************************

dummy:	reti;

;*****************************************************************************
;* Adatok
;*****************************************************************************